import { Component } from '@angular/core';

@Component({
    selector: 'ej-app',
    templateUrl: 'src/app.component.html',
})
export class AppComponent {
    public gridData: any;
    editSettings: any;
    public selectedcellfield: any;
    public DDinstance: any;
    toolbarSettings: any;
    onRecordClick(e: any) {
        var obj = $(".e-grid").ejGrid("instance");
        this.selectedcellfield = obj.getFieldNameByHeaderText(e.columnName);
    }
    onDataBound(e: any) {
        $('#DropDownList').ejDropDownList({
            targetID: "crudactioncrudoperations",
            select: (e: any) => this.onSelect(e),
            create: (e: any) => this.onCreate(e)
        });
    }
    onSelect(e: any) {           
        var grid = $(".e-grid").ejGrid("instance");
        if (e.text == "Add") {
            this.DDinstance.disableItemsByIndices("0,2,4");
            this.DDinstance.enableItemsByIndices("1,3");
            grid.addRecord();                                                    //Perform add operation when clicking add in dropdown
        }
        if (e.text == "Edit") {
            if (grid.getSelectedRecords().length > 0) {
                this.DDinstance.disableItemsByIndices("0,2,4");
                this.DDinstance.enableItemsByIndices("1,3");
                if (grid.model.editSettings.editMode != "batch") {
                    grid.startEdit();
                }
                else
                    grid.editCell(grid.model.selectedRowIndex, this.selectedcellfield);    //Perform Edit operation
            }
            else
                alert("Select any row to edit");
        }
        if (e.text == "Delete") {
            this.DDinstance.disableItemsByIndices("1,3");
            if (grid.getSelectedRecords().length > 0) {
                grid.deleteRecord("OrderID", grid.model.currentViewData[grid.model.selectedRowIndex])
                                                                                  //Perform delete operations.
                }
            else
                alert("No records selected for delete operation");
        }
        if (e.text == "Update") {
            this.DDinstance.disableItemsByIndices("1,3");
            this.DDinstance.enableItemsByIndices("0,2,4");
            if (grid.model.editSettings.editMode != "batch")
                grid.endEdit();                                                 //perform update action
            else
                grid.batchSave();
        }
        if (e.text == "Cancel") {
            this.DDinstance.disableItemsByIndices("1,3");
            this.DDinstance.enableItemsByIndices("0,2,4");
            if (grid.model.editSettings.editMode != "batch")
                grid.cancelEdit();                                                //cancel the editing when clicking cancel in dropdown
            else
                grid.batchCancel();
        }
    }
    onCreate(e: any) {           
        var DropDownListObj = $("#DropDownList").data("ejDropDownList");
        this.DDinstance = DropDownListObj;                    //Rendering the DropDown at the initial time
        DropDownListObj.disableItemsByIndices("1,3");
    }
    constructor() {
       
        this.gridData = [{
            OrderID: 10248, CustomerID: 'VINET', EmployeeID: 1,
            OrderDate: new Date(8364186e5), Freight: 32.38
        },
        {
            OrderID: 10249, CustomerID: 'TOMSP', EmployeeID: 2,
            OrderDate: new Date(836505e6), Freight: 11.61
        },
        {
            OrderID: 10250, CustomerID: 'HANAR', EmployeeID: 3,
            OrderDate: new Date(8367642e5), Freight: 65.83
        },
        {
            OrderID: 10251, CustomerID: 'VICTE', EmployeeID: 4,
            OrderDate: new Date(8367642e5), Freight: 41.34
        },
        {
            OrderID: 10252, CustomerID: 'SUPRD', EmployeeID: 5,
            OrderDate: new Date(8368506e5), Freight: 51.3
            }];
      
        this.editSettings={allowEditing:true, allowAdding:true,allowDeleting:true, showConfirmDialog:false };
        this.toolbarSettings = { showToolbar: true, customToolbarItems: [{ templateID: "#crudoperation" }] };
      } 
  } 
 
 
